# org.pdfclown.documents.interaction.navigation.page.ArticleElement Class Reference

Article bead [PDF:1.7:8.3.2]. More...

Inheritance diagram for org.pdfclown.documents.interaction.navigation.page.ArticleElement:

List of all members.

## Public Member Functions
| ArticleElement (Page page, RectangleF box)
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
override bool | Delete ()
| Deletes this bead removing also its references on the page and its article thread.
override bool | Equals (object obj)
override int | GetHashCode ()
bool | IsHead ()
| Gets whether this is the first bead in its thread.
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static ArticleElement | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
Article | Article`[get]`
| Gets the thread article this bead belongs to.
virtual PdfDirectObject | BaseObject`[get, set]`
RectangleF | Box`[get, set]`
| Gets/Sets the location on the page in default user space units.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
ArticleElement | Next`[get]`
| Gets the next bead.
Page | Page`[get]`
| Gets the location page.
ArticleElement | Previous`[get]`
| Gets the previous bead.

##

Article bead [PDF:1.7:8.3.2].

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.navigation.page.ArticleElement.ArticleElement | ( | Page | page,
|  | RectangleF | box |
| ) |  |  |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

override bool org.pdfclown.documents.interaction.navigation.page.ArticleElement.Delete | ( |  | ) | `[virtual]`

Deletes this bead removing also its references on the page and its article thread.

Reimplemented from org.pdfclown.objects.PdfObjectWrapper< PdfDictionary >.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

bool org.pdfclown.documents.interaction.navigation.page.ArticleElement.IsHead | ( |  | ) |

Gets whether this is the first bead in its thread.

References org.pdfclown.objects.PdfDictionary.Equals().

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static ArticleElement org.pdfclown.documents.interaction.navigation.page.ArticleElement.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

Article org.pdfclown.documents.interaction.navigation.page.ArticleElement.Article`[get]`

Gets the thread article this bead belongs to.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

RectangleF org.pdfclown.documents.interaction.navigation.page.ArticleElement.Box`[get, set]`

Gets/Sets the location on the page in default user space units.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

ArticleElement org.pdfclown.documents.interaction.navigation.page.ArticleElement.Next`[get]`

Gets the next bead.

Page org.pdfclown.documents.interaction.navigation.page.ArticleElement.Page`[get]`

Gets the location page.

ArticleElement org.pdfclown.documents.interaction.navigation.page.ArticleElement.Previous`[get]`

Gets the previous bead.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.